> ## Documentation Index
> Fetch the complete documentation index at: https://terminal49-mintlify-8f0cde31.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a party

> Create a customer party record in the Terminal49 API to associate tracking requests, shipments, and containers with the correct downstream account.



## OpenAPI

````yaml post /parties
openapi: 3.0.0
info:
  title: Terminal49 API Reference
  version: 0.2.0
  contact:
    name: Terminal49 API support
    url: https://www.terminal49.com
    email: support@terminal49.com
  description: >-
    The Terminal 49 API offers a convenient way to programmatically track your
    shipments from origin to destination.


    Please enter your API key into the "Variables" tab before using these
    endpoints within Postman.
  x-label: Beta
  termsOfService: https://www.terminal49.com/terms
servers:
  - url: https://api.terminal49.com/v2
    description: Production
security:
  - authorization: []
tags:
  - name: Containers
  - name: Custom Field Definitions
  - name: Custom Field Options
  - name: Custom Fields
  - name: Shipments
  - name: Locations
  - name: Events
  - name: Tracking Requests
  - name: Webhooks
  - name: Webhook Notifications
  - name: Ports
  - name: Metro Areas
  - name: Terminals
  - name: Routing (Paid)
  - name: Documents
  - name: Email Submissions
  - name: Document Schemas
  - name: Search
paths:
  /parties:
    post:
      tags:
        - Parties
      description: Creates a new party
      operationId: post-party
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  required:
                    - attributes
                  properties:
                    attributes:
                      type: object
                      properties:
                        company_name:
                          type: string
                          example: COMPANY NAME
                          description: The name of the company
      responses:
        '201':
          description: Party Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/party'
                  links:
                    $ref: '#/components/schemas/link-self'
              examples:
                New Party:
                  value:
                    data:
                      id: ba4cb904-827f-4038-8e31-1e92b3356218
                      type: party
                      attributes:
                        company_name: COMPANY NAME
                    links:
                      self: /v2/parties/ba4cb904-827f-4038-8e31-1e92b3356218
          headers: {}
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      $ref: '#/components/schemas/error'
              examples:
                Error Examples:
                  value:
                    errors:
                      - status: '422'
                        source:
                          pointer: /data/attributes/company_name
                        title: Unprocessable Entity
                        detail: Company name can't be blank
                      - status: '422'
                        source:
                          pointer: /data/attributes/customer
                        title: Unprocessable Entity
                        detail: '''XXXX'' already exists in Account'
components:
  schemas:
    party:
      title: Party model
      type: object
      properties:
        id:
          type: string
          format: uuid
        attributes:
          type: object
          required:
            - company_name
          properties:
            company_name:
              type: string
              description: Company name
        type:
          type: string
          enum:
            - party
      required:
        - attributes
    link-self:
      title: link
      type: object
      properties:
        self:
          type: string
          format: uri
    error:
      title: Error model
      type: object
      properties:
        detail:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        source:
          type: object
          nullable: true
          properties:
            pointer:
              type: string
              nullable: true
            parameter:
              type: string
              nullable: true
        code:
          type: string
          nullable: true
        status:
          type: string
          nullable: true
        meta:
          type: object
          nullable: true
          additionalProperties: true
      required:
        - title
  securitySchemes:
    authorization:
      name: Authorization
      type: apiKey
      in: header
      description: >-
        Use a Terminal49 API key in the `Authorization` header with the `Token`
        prefix.


        `Authorization: Token YOUR_API_KEY`

````